%define major   0
%define xmlcatalog      %{_sysconfdir}/xml/catalog
%define lib_name %mklibname %{name} %{major}

Summary:        ScrollKeeper is a cataloging system for documentation on open systems
Name:           scrollkeeper
Version:        0.3.14
Release:	%mkrel 10
Source0:        ftp://scrollkeeper.sourceforge.net/pub/scrollkeeper/%{name}-%{version}.tar.bz2
Source1:        scrollkeeper.logrotate
# (gw) 0.3.14-5mdk fix double free when using LANGUAGE variable (Abel)
Patch0:		scrollkeeper-0.3.14-doublefree.patch
# (fc) 0.3.14-8mdk fix crash in mkdir (Fedora)
Patch1:		scrollkeeper-0.3.14-fix-mkdir-segfault.patch
License:        LGPL
Group:          Publishing
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:            http://scrollkeeper.sourceforge.net/
BuildRequires:  libxml2-devel >= 2.4.19
BuildRequires:  libxslt-devel
BuildRequires:  intltool >= 0.8.4
BuildRequires:  docbook-dtd412-xml
BuildRequires:  automake1.7
BuildRequires:	gettext-devel
Requires:       docbook-dtd412-xml
Requires:       docbook-dtd42-xml
Requires:       docbook-dtd43-xml
Requires(post):	libxml2-utils >= 2.4.19
Requires(preun):libxml2-utils >= 2.4.19
Requires(post):	%{lib_name} = %{version}-%{release}

%description 
ScrollKeeper is a cataloging system for documentation. It manages
documentation metadata (as specified by the Open Source Metadata
Framework (OMF)) and provides a simple API to allow help browsers to
find, sort, and search the document catalog. It will also be able to
communicate with catalog servers on the Net to search for documents
which are not on the local system.

%package -n %{lib_name}
Summary: Libraries for scrollkeeper.
Group: System/Libraries

%description -n %{lib_name}
These are the libraries for Scrollkeeper.

%package -n %{lib_name}-devel
Summary:	Includes and more to develop scrollkeeper applications
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Provides: 	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
Libraries, include files and other resources you can use 
to develop Scrollkeeper applications.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .doublefree
%patch1 -p1 -b .fixmkdir

#force new libtool
libtoolize --copy --force
aclocal-1.7 -I m4
automake-1.7
autoconf

%build
%configure2_5x --localstatedir=%{_var} --with-omfdirs=%{_datadir}/omf

%make

%install
rm -rf $RPM_BUILD_ROOT


%makeinstall_std

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper/* \
 $RPM_BUILD_ROOT%{_var}/log/scrollkeeper.log

%{find_lang} %{name}

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper

# logrotate
install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
rm -rf %{_datadir}/scrollkeeper/Templates

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%post
if [ "$1" = "2" ]; then
  # Upgrading
  echo "`date +"%b %d %X"` Upgrading to ScrollKeeper `scrollkeeper-config --version`..." >> /var/log/scrollkeeper.log
fi
if [ "$1" = "1" ]; then
  # Installing
  echo "`date +"%b %d %X"` Installing ScrollKeeper `scrollkeeper-config --version`..." >> /var/log/scrollkeeper.log
fi
%{_bindir}/xmlcatalog --noout --add "public" \
        "-//OMF//DTD Scrollkeeper OMF Variant V1.0//EN" \
        "%{_datadir}/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd" %xmlcatalog

scrollkeeper-rebuilddb -q -p %{_localstatedir}/scrollkeeper || true

%preun
if [ "$1" = "0" -a -f %xmlcatalog -a -x %{_bindir}/xmlcatalog ] ; then
  %{_bindir}/xmlcatalog --noout --del \
	"%{_datadir}/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd" %xmlcatalog
fi

%postun
if [ "$1" = "0" ]; then
  # SK is being removed, not upgraded.  
  #  ie. erase {localstatedir}/lib/scrollkeeper.
  rm -rf %{_localstatedir}/scrollkeeper
  rm -rf /var/log/scrollkeeper.log 
  rm -rf /var/log/scrollkeeper.log.1

fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING AUTHORS README ChangeLog NEWS INSTALL
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/scrollkeeper
%{_datadir}/omf
%{_datadir}/xml/scrollkeeper
%dir %{_localstatedir}/scrollkeeper

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la


%changelog
* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 0.3.14-10mdv2007.0
+ Revision: 108277
- Import scrollkeeper




* Sat Jan 13 2007 Gtz Waschk <waschk@mandriva.org> 0.3.14-10mdv2007.1
- unpack patches

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.3.14-10mdk
- Rebuild

* Tue Aug 23 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.3.14-9mdk
- add BuildRequires: gettext-devel

* Mon Aug 22 2005 Frederic Crozat <fcrozat@mandriva.com> 0.3.14-8mdk 
- Patch1 (Fedora): fix crash in mkdir

* Mon Aug 22 2005 Frederic Crozat <fcrozat@mandriva.com> 0.3.14-7mdk 
- Add dependency on Docbook DTD 4.3 (needed for some GNOME programs)
- Fix prereq

* Tue Apr 19 2005 Frederic Crozat <fcrozat@mandriva.com> 0.3.14-6mdk 
- Really apply patch

* Mon Apr 18 2005 Frederic Crozat <fcrozat@mandriva.com> 0.3.14-5mdk 
- From Gtz Washk :
 - drop patch 0
 - patch 1 (Abel Cheung): fix double free breaking yelp 2.9.3

* Fri Jul 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.14-4mdk
- Also requires docbook-dtd42-xml, some help file are using it now.

* Wed Jun 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.3.14-3mdk
- Added logrotate file

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.14-2mdk
- Fix catalog unregistration in uninstall script

* Mon Dec  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.14-1mdk
- new version

* Thu Sep 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.12-5mdk
- Patch0 (rawhide) : fix segfault when no category is specified

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.3.12-4mdk
- Make sure all directories are created when building

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.3.12-3mdk
- mklibnamification

* Thu Feb 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.12-2mdk
- Move xml catalog unregistration in preun, otherwise file is not longer present

* Thu Jan 23 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.12-1mdk
- Release 0.3.12
- Remove patch0 (merged upstream)

* Wed Oct 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.11-3mdk
- Fix %doc (DUCLOS Andre <shirka@wanadoo.fr>)

* Wed Sep  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.11-2mdk
- Patch0 (Debian): fix temp files naming

* Thu Jul 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.11-1mdk
- Release 0.3.11

* Tue Jul 16 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.3.10-3mdk
- Let it use the libscrollkeeper.so that was just installed
- Don't install xml files in /var/lib/scrollkeeper since they are
  already generated in %%post. And anyway, none are generated if you
  don't already have some scrollkeeper installed when building it.

* Fri Jun 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.10-2mdk
- Fix double call to scrollkeeper-rebuilddb in %post (Thanks to Michael Reinsch)
* Fri Jun 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.10-1mdk
- Release 0.3.10

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.9-1mdk
- Release 0.3.9

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.8-1mdk
- Release 0.3.8
- Remove patches 0 (now, use compile options) & 1 (merged upstream)
- Disable parallel compilation, remove calls to intltoolize, 
  it might fix build for some people

* Fri Apr 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.7-1mdk
- Release 0.3.7
- Patch1(CVS): fix rebuild script 

* Mon Apr 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.6-2mdk
- Patch0: Fix config file to only include valid path

* Mon Apr  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.6-1mdk
- Release 0.3.6
- Remove patch0 (done using flags)

* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-1mdk
- Release 0.2
- Regenerate patch 0
- Libification

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.4-1mdk
- from Alexander Skwar <ASkwar@Linux-Mandrake.com> 
	- New release
	- regenerate patch 0

* Thu Mar  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.2-1mdk
- First Mandrake release

* Tue Feb 15 2001 Dan Mueth <dan@eazel.com>
- added line to include the translations .mo file

* Tue Feb 06 2001 Dan Mueth <dan@eazel.com>
- fixed up pre and post installation scripts

* Tue Feb 06 2001 Laszlo Kovacs <laszlo.kovacs@sun.com>
- added all the locale directories and links for the template
  content list files

* Wed Jan 17 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- converted to scrollkeeper.spec.in

* Sat Dec 16 2000 Laszlo Kovacs <laszlo.kovacs@sun.com>
- help files added

* Fri Dec 8 2000 Laszlo Kovacs <laszlo.kovacs@sun.com>
- various small fixes added

* Thu Dec 7 2000 Laszlo Kovacs <laszlo.kovacs@sun.com>
- fixing localstatedir problem
- adding postinstall and postuninstall scripts

* Tue Dec 5 2000 Gregory Leblanc <gleblanc@cu-portland.edu>
- adding COPYING, AUTHORS, etc
- fixed localstatedir for the OMF files

* Fri Nov 10 2000 Gregory Leblanc <gleblanc@cu-portland.edu>
- Initial spec file created.
